Package org.opengis.cite.iso19142

# Enum Class SuiteAttribute

java.lang.Object
java.lang.Enum<SuiteAttribute>
org.opengis.cite.iso19142.SuiteAttribute

All Implemented Interfaces:
  `Serializable`, `Comparable<SuiteAttribute>`, `Constable`

public enum SuiteAttribute extends Enum<SuiteAttribute>
An enumerated type defining ISuite attributes that may be set to constitute a shared test fixture.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED_PRECONDITIONS`
  A List<String> of test suite preconditions that were not satisfied.
  `FEATURE_INFO`
  A Map<QName, {@link FeatureTypeInfo}> containing one or more entries providing information about managed feature types.
  `SAMPLER`
  A DataSampler object that obtains sample data from the WFS under test.
  `TEST_SUBJECT`
  A DOM Document describing the WFS under test.
  `WFS_SCHEMA`
  An immutable Schema object representing the complete WFS 2.0 schema (wfs.xsd).
  `WFS_VERSION`
  The highest specification version supported by the IUT.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `Class`
  `getType()`
  `String`
  `toString()`
  `static SuiteAttribute`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SuiteAttribute[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEST_SUBJECT

    public static final SuiteAttribute TEST_SUBJECT
    A DOM Document describing the WFS under test. This is typically a WFS capabilities document.

  - ### WFS_SCHEMA

    public static final SuiteAttribute WFS_SCHEMA
    An immutable Schema object representing the complete WFS 2.0 schema (wfs.xsd).

  - ### FEATURE_INFO

    public static final SuiteAttribute FEATURE_INFO
    A Map<QName, {@link FeatureTypeInfo}> containing one or more entries providing information about managed feature types.

  - ### SAMPLER

    public static final SuiteAttribute SAMPLER
    A DataSampler object that obtains sample data from the WFS under test.

  - ### FAILED_PRECONDITIONS

    public static final SuiteAttribute FAILED_PRECONDITIONS
    A List<String> of test suite preconditions that were not satisfied.

  - ### WFS_VERSION

    public static final SuiteAttribute WFS_VERSION
    The highest specification version supported by the IUT.

- ## Method Details

  - ### values

    public static SuiteAttribute[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SuiteAttribute valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public Class getType()

  - ### getName

    public String getName()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<SuiteAttribute>`